Bug 467383 - Force to cache rpm files for one year
Force to cache rpm files for one year
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Proxy Server (Show other bugs)
0.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks: space03
  Show dependency treegraph
 
Reported: 2008-10-17 05:02 EDT by Miroslav Suchý
Modified: 2009-09-17 03:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:02:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2008-10-17 05:02:31 EDT
Description of problem:
From rhn-satellite-users:
This discussion was long time ago but I've been reading something about squid configuration for proxy servers on wan connection. As the rpm files content will not change while having the same name (including version and release) I think it could be a good practice to have rpm files cached for long (even months), I've fount that following line can be used:

refresh_pattern  \.rpm$  10080 90% 10080 override-expire override-lastmod ignore-reload reload-into-ims

to have the packages stored for 6 months, what can be quite convenient in these cases.

Has anyone tested this configuration?, do you see any problem with it?

------------

I see no problems with this. I even do see problem with bumping up the numbers to:
refresh_pattern  \.rpm$  10080 100% 525960 override-expire override-lastmod ignore-reload reload-into-ims

FYI: 525960 == 365 days, ie. one year.
Comment 1 Miroslav Suchý 2008-10-17 05:10:44 EDT
Commited as faecc285309cdb102a791c97cfcc5e0f6d8ccbe8
Tagged package spacewalk-proxy-installer-0.3.3-1
Comment 2 Pradeep Kilambi 2008-11-04 17:48:13 EST
see the override expire in the pkg..verified
Comment 3 Miroslav Suchý 2009-09-17 03:02:14 EDT
Spacewalk has been released for some time.

Note You need to log in before you can comment on or make changes to this bug.